package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyTcmConsume;
import com.fs.company.vo.CompanyTcmConsumeVO;

/**
 * 公司档期消费Service接口
 *
 * @author fs
 * @date 2023-09-15
 */
public interface ICompanyTcmConsumeService
{
    /**
     * 查询公司档期消费
     *
     * @param id 公司档期消费ID
     * @return 公司档期消费
     */
    public CompanyTcmConsume selectCompanyTcmConsumeById(Long id);

    /**
     * 查询公司档期消费列表
     *
     * @param companyTcmConsume 公司档期消费
     * @return 公司档期消费集合
     */
    public List<CompanyTcmConsume> selectCompanyTcmConsumeList(CompanyTcmConsume companyTcmConsume);

    public List<CompanyTcmConsumeVO> selectCompanyTcmConsumeListVO(CompanyTcmConsume companyTcmConsume);


    /**
     * 新增公司档期消费
     *
     * @param companyTcmConsume 公司档期消费
     * @return 结果
     */
    public int insertCompanyTcmConsume(CompanyTcmConsume companyTcmConsume);

    /**
     * 修改公司档期消费
     *
     * @param companyTcmConsume 公司档期消费
     * @return 结果
     */
    public int updateCompanyTcmConsume(CompanyTcmConsume companyTcmConsume);

    /**
     * 批量删除公司档期消费
     *
     * @param ids 需要删除的公司档期消费ID
     * @return 结果
     */
    public int deleteCompanyTcmConsumeByIds(Long[] ids);

    /**
     * 删除公司档期消费信息
     *
     * @param id 公司档期消费ID
     * @return 结果
     */
    public int deleteCompanyTcmConsumeById(Long id);
}
